breed [ palms palm ]
breed [ fishs fish ]
breed [fishs2 fish2]
breed [ farmers farmer ]
breed [ eskimos eskimo ]
breed [ pines pine ]
breed [ ants ant ]
breed [ trees tree ]
breed [ penguins penguin ]
breed [ squirrels squirrel ]
breed [ cows cow ]

palms-own [birth-tick ]
pines-own [birth-tick]
trees-own [birth-tick]
ants-own [
  birth-tick
  speed]
squirrels-own [
  birth-tick
  speed]
cows-own [
  birth-tick
  speed]

to setup
  clear-all
 setup-patches
 setup-palms
 setup-fish
 setup-fishs2
 setup-pines
 setup-trees
 setup-ants
 setup-farmer
 setup-eskimos
 setup-penguins
 setup-squirrel
 setup-cows

  reset-ticks
end


to go
  every 0.5 [
  move-fish]
 every 0.8 [
  move-animals ]
  kill-trees
  kill-animals
end


to setup-patches
  ask patches [
  if angle_of_insolation = 90 [
    set pcolor 68
  ]
  if angle_of_insolation = 60 [
    set pcolor 69
  ]
  if angle_of_insolation = 30 [
    set pcolor 37
  ]
  if angle_of_insolation = 0 [
    set pcolor 9
  ]
  ]
  ask patches [
    if angle_of_insolation > 0 [
      if pycor < -10 [
        set pcolor blue
      ]
    ]
]

end

to setup-palms
  create-palms 20 [set birth-tick random 40]
  ask palms [
  set shape "palm 2"
  setxy random-xcor random -26 + 17
  set heading 0
  set size 4
  ]
  if angle_of_insolation = 60 [
    ask n-of 5 palms [
     set size 3
      die
    ]
  ]
  ask palms [
    if angle_of_insolation < 60 [
      die
    ]
  ]
end



to setup-fish
  create-fishs 15
  ask fishs [
    set shape "fish"
    setxy random-xcor random 7 - 17
  ]
  if angle_of_insolation = 60 [
    ask n-of 7 fishs [
      die
    ]
  ]
  if angle_of_insolation = 30 [
    ask n-of 10 fishs [
      die
    ]
  ]

  ask fishs [
    if angle_of_insolation < 30 [
      die
    ]
  ]
end

to setup-fishs2
  create-fishs2 15
  ask fishs2 [
  set shape "fish 3"
  setxy random-xcor random 7 - 17
  ]
    if angle_of_insolation = 60 [
      ask n-of 8 fishs2 [
        die
      ]
    ]
    ask fishs2 [
    if angle_of_insolation < 60 [
      die
    ]
    ]
end



to setup-pines
  create-pines 15 [set birth-tick random 40 ]
  ask pines [
  set shape "tree pine"
  setxy random-xcor random -26 + 17
  set heading 0
  set size 4
  ]
  ask pines [
  if angle_of_insolation > 30 [
        die
      ]
if angle_of_insolation < 30 [
  die
]
  ]
end

to setup-trees
  create-trees 15  [ set birth-tick random 40 ]
  ask trees [
  set shape "tree"
  setxy random-xcor random -26 + 17
  set heading 0
  set size 4
  ]
  if angle_of_insolation = 60 [
    ask n-of 10 trees [
      die
    ]
  ]
  ask trees [
  if angle_of_insolation > 60 [
        die
      ]
if angle_of_insolation < 30 [
  die
]
  ]
end

to setup-ants
  create-ants 20  [set birth-tick random 40 ]
  ask ants [
  set shape "ant"
  setxy random-xcor random -26 + 17
  set size .75
  ]
  if angle_of_insolation = 60 [
    ask n-of 7 ants [
     die
    ]
  ]
  if angle_of_insolation = 30 [
    ask n-of 12 ants [
        die
     ]
  ]
  if angle_of_insolation = 0 [
    ask n-of 20 ants [
    die
  ]
]
end

to setup-farmer
  create-farmers 5
  ask farmers [
  set shape "person farmer"
  setxy random-xcor random -26 + 17
  set size 2
  ]

  if angle_of_insolation = 0 [
    ask farmers [
      die
    ]
  ]
end

to setup-eskimos
  create-eskimos 3
  ask eskimos [
    set shape "person lumberjack"
    setxy random-xcor random-ycor
    set size 3
  ]
  if angle_of_insolation > 0 [
    ask eskimos [
      die
    ]
  ]
end

to setup-penguins
  create-penguins 6
  ask penguins [
  set shape "penguin"
  setxy random-xcor random-ycor
  set size 3
  set heading 0
]
  if angle_of_insolation > 0 [
    ask penguins [
      die
    ]
  ]
end

to setup-squirrel
  create-squirrels 10 [ set birth-tick random 20 ]
 ask squirrels [
  set shape "squirrel"
  set size 1
  setxy random-xcor random -26 + 17

 ]
 if angle_of_insolation = 0 [
   ask squirrels [
     die
   ]
 ]
end

to setup-cows
  create-cows 8  [ set birth-tick random 20 ]
  ask cows [
    set shape "cow"
    setxy random-xcor random -26 + 17
    set size 2.5
  ]
  if angle_of_insolation = 0 [
   ask cows [
     die
   ]
 ]
  if angle_of_insolation = 90 [
   ask n-of 4 cows [
     die
   ]
 ]
end


to move-fish
  ask fishs [
    setxy random-xcor random 6 - 17
    forward 1

  ]
  ask fishs2 [
    setxy random-xcor random 6 - 17
    forward 1
  ]
  tick
end

to move-animals

  ask ants [
    setxy random-xcor random -26 + 17
    forward 1
  ]
   ask squirrels [
    setxy random-xcor random -26 + 17
    forward 1
  ]ask farmers [
    setxy random-xcor random -26 + 17
    forward 1
  ]
  ask eskimos [
    setxy random-xcor random -26 + 17
    forward 1
  ]ask cows [
    setxy random-xcor random -26 + 17
    forward 1
  ]
 ask penguins [
    setxy random-xcor random -26 + 17
    forward 1
  ]
 tick
end

to kill-trees
  if precipitation = 0 and angle_of_insolation > 30[
    ask n-of 1 palms [
      if count palms > 10 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 100 and angle_of_insolation > 30 [
    ask n-of 1 palms [
      if count palms > 15 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]
   if precipitation = 0 and angle_of_insolation = 30 [
    ask n-of 1 pines [
      if count pines > 8 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 100 and angle_of_insolation = 30 [
    ask n-of 1 pines [
      if count pines > 8 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]
    if precipitation = 0 and angle_of_insolation > 0 and angle_of_insolation < 90 [
    ask n-of 1 trees [
      if count trees > 6 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 100 and angle_of_insolation > 0 and angle_of_insolation < 90  [
    ask n-of 1 trees [
      if count trees > 6 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]
end

to kill-animals
  if precipitation = 0 and angle_of_insolation > 0  [
    ask n-of 1 ants [
      if count ants > 2 [
        if ticks - birth-tick > 80 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 100 and angle_of_insolation > 0  [
    ask n-of 1 ants [
      if count ants > 2 [
        if ticks - birth-tick > 80 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 0 and angle_of_insolation > 0  [
    ask n-of 1 squirrels [
      if count squirrels > 4 [
        if ticks - birth-tick > 100 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 100 and angle_of_insolation > 0  [
    ask n-of 1 squirrels [
      if count squirrels > 4 [
        if ticks - birth-tick > 100 [
          die
        ]
      ]
    ]
  ]
  if precipitation = 0 and angle_of_insolation > 0  [
    ask n-of 1 cows [
      if count cows > 5 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]

  if precipitation = 100 and angle_of_insolation > 0   [
    ask n-of 1 cows [
      if count cows > 5 [
        if ticks - birth-tick > 150 [
          die
        ]
      ]
    ]
  ]
end


@#$#@#$#@
GRAPHICS-WINDOW
431
23
896
509
17
17
13.0
1
10
1
1
1
0
0
0
1
-17
17
-17
17
1
1
1
ticks
30.0

BUTTON
40
10
109
43
Set Up
setup
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
1

BUTTON
117
11
180
44
Go
go
T
1
T
OBSERVER
NIL
NIL
NIL
NIL
0

BUTTON
189
12
268
45
Go Once
go
NIL
1
T
OBSERVER
NIL
NIL
NIL
NIL
0

SLIDER
42
61
214
94
angle_of_insolation
angle_of_insolation
0
90
30
30
1
NIL
HORIZONTAL

SLIDER
42
117
214
150
precipitation
precipitation
0
100
0
50
1
NIL
HORIZONTAL

MONITOR
53
199
126
244
Palm Trees
count palms
0
1
11

MONITOR
135
200
239
245
Deciduous Trees
count trees
0
1
11

MONITOR
250
200
321
245
Pine Trees
count pines
0
1
11

MONITOR
54
267
111
312
Ants
count ants
17
1
11

MONITOR
121
267
178
312
Cows
count cows
0
1
11

MONITOR
185
267
245
312
Squirrels
count squirrels
0
1
11

@#$#@#$#@
## WHAT IS IT?

(a general understanding of what the model is trying to show or explain)

## HOW IT WORKS

(what rules the agents use to create the overall behavior of the model)

## HOW TO USE IT

(how to use the model, including a description of each of the items in the Interface tab)

## THINGS TO NOTICE

(suggested things for the user to notice while running the model)

## THINGS TO TRY

(suggested things for the user to try to do (move sliders, switches, etc.) with the model)

## EXTENDING THE MODEL

(suggested things to add or change in the Code tab to make the model more complicated, detailed, accurate, etc.)

## NETLOGO FEATURES

(interesting or unusual features of NetLogo that the model uses, particularly in the Code tab; or where workarounds were needed for missing features)

## RELATED MODELS

(models in the NetLogo Models Library and elsewhere which are of related interest)

## CREDITS AND REFERENCES

(a reference to the model's URL on the web if it has one, as well as any other necessary credits, citations, and links)
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

ant
true
0
Polygon -16777216 true false 136 61 129 46 144 30 119 45 124 60 114 82 97 37 132 10 93 36 111 84 127 105 172 105 189 84 208 35 171 11 202 35 204 37 186 82 177 60 180 44 159 32 170 44 165 60
Polygon -16777216 true false 150 95 135 103 139 117 125 149 137 180 135 196 150 204 166 195 161 180 174 150 158 116 164 102
Polygon -16777216 true false 149 186 128 197 114 232 134 270 149 282 166 270 185 232 171 195 149 186
Polygon -16777216 true false 225 66 230 107 159 122 161 127 234 111 236 106
Polygon -16777216 true false 78 58 99 116 139 123 137 128 95 119
Polygon -16777216 true false 48 103 90 147 129 147 130 151 86 151
Polygon -16777216 true false 65 224 92 171 134 160 135 164 95 175
Polygon -16777216 true false 235 222 210 170 163 162 161 166 208 174
Polygon -16777216 true false 249 107 211 147 168 147 168 150 213 150

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -1 true false 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -1 true false 73 210 86 251 62 249 48 208
Polygon -1 true false 25 114 16 195 9 204 23 213 25 200 39 123
Circle -16777216 true false 204 69 42
Circle -16777216 true false 114 114 42
Circle -16777216 true false 45 90 30
Circle -16777216 true false 39 129 42
Circle -16777216 true false 180 150 30

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -955883 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -955883 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -955883 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -1184463 true false 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

fish 3
false
0
Polygon -8630108 true false 137 105 124 83 103 76 77 75 53 104 47 136
Polygon -8630108 true false 226 194 223 229 207 243 178 237 169 203 167 175
Polygon -8630108 true false 137 195 124 217 103 224 77 225 53 196 47 164
Polygon -8630108 true false 40 123 32 109 16 108 0 130 0 151 7 182 23 190 40 179 47 145
Polygon -8630108 true false 45 120 90 105 195 90 275 120 294 152 285 165 293 171 270 195 210 210 150 210 45 180
Circle -1184463 true false 244 128 26
Circle -16777216 true false 248 135 14
Line -16777216 false 48 121 133 96
Line -16777216 false 48 179 133 204
Polygon -8630108 true false 226 106 226 77 202 71 175 75 152 99 167 125
Line -16777216 false 226 102 158 95
Line -16777216 false 171 208 225 205
Polygon -1 true false 252 111 232 103 213 132 210 165 223 193 229 204 247 201 237 170 236 137
Polygon -1 true false 135 98 140 137 135 204 154 210 167 209 170 176 160 156 163 126 171 117 156 96
Polygon -16777216 true false 192 117 171 118 162 126 158 148 160 165 168 175 188 183 211 186 217 185 206 181 172 171 164 156 166 133 174 121
Polygon -1 true false 40 121 46 147 42 163 37 179 56 178 65 159 67 128 59 116

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

palm 2
false
0
Rectangle -6459832 true false 135 150 165 315
Polygon -13840069 true false 150 150 105 30 150 75 195 30 150 150
Polygon -13840069 true false 165 150 300 210 255 150 300 135 165 150
Polygon -13840069 true false 135 150 0 210 45 150 0 120 135 150
Polygon -13840069 true false 165 150 285 120 210 120 225 60 150 150
Polygon -13840069 true false 135 150 15 105 75 105 75 45 150 150

palm tree
false
3
Rectangle -6459832 true true 150 0 135 120
Rectangle -6459832 true true 135 120 165 0
Rectangle -6459832 true true 136 0 166 135
Polygon -13840069 false false 240 165 285 135 150 135 240 165
Polygon -13840069 false false 240 165 285 135 150 135 240 165
Polygon -13840069 false false 60 165 15 135 150 135 60 165
Polygon -13840069 false false 375 135 345 180 345 45 375 135
Polygon -13840069 false false 120 210 45 225 150 135 120 210
Polygon -13840069 false false 120 225 150 270 150 135 120 225
Polygon -13840069 false false 180 210 255 225 150 135 180 210
Polygon -13840069 false false 240 165 285 135 150 135 240 165

penguin
true
0
Circle -16777216 true false 105 180 90
Polygon -955883 true false 135 270 120 285 150 285 135 270
Polygon -955883 true false 165 270 180 285 150 285 165 270
Circle -16777216 true false 120 120 60
Circle -1 true false 129 204 42
Polygon -955883 true false 150 165 120 180 135 165 150 150
Circle -1 false false 165 135 0
Rectangle -1 false false 165 135 165 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person farmer
false
1
Polygon -7500403 true false 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 60 195 90 210 114 154 120 195 180 195 187 157 210 210 240 195 195 90 165 90 150 105 150 150 135 90 105 90
Circle -7500403 true false 110 5 80
Rectangle -7500403 true false 127 79 172 94
Polygon -13345367 true false 120 90 120 180 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 180 90 172 89 165 135 135 135 127 90
Polygon -6459832 true false 116 4 113 21 71 33 71 40 109 48 117 34 144 27 180 26 188 36 224 23 222 14 178 16 167 0
Line -16777216 false 225 90 270 90
Line -16777216 false 225 15 225 90
Line -16777216 false 270 15 270 90
Line -16777216 false 247 15 247 90
Rectangle -6459832 true false 240 90 255 300

person lumberjack
false
7
Polygon -7500403 true false 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -2674135 true false 60 196 90 211 114 155 120 196 180 196 187 158 210 211 240 196 195 91 165 91 150 106 150 135 135 91 105 91
Circle -7500403 true false 110 5 80
Rectangle -7500403 true false 127 79 172 94
Polygon -6459832 true false 174 90 181 90 180 195 165 195
Polygon -13345367 true false 180 195 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285
Polygon -6459832 true false 126 90 119 90 120 195 135 195
Line -16777216 false 135 165 165 165
Line -16777216 false 135 135 165 135
Line -16777216 false 90 135 120 135
Line -16777216 false 105 120 120 120
Line -16777216 false 180 120 195 120
Line -16777216 false 180 135 210 135
Line -16777216 false 90 150 105 165
Line -16777216 false 225 165 210 180
Line -16777216 false 75 165 90 180
Line -16777216 false 210 150 195 165
Line -16777216 false 180 105 210 180
Line -16777216 false 120 105 90 180
Line -16777216 false 150 135 150 165
Polygon -2674135 true false 100 30 104 44 189 24 185 10 173 10 166 1 138 -1 111 3 109 28

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

sheep
false
15
Circle -1 true true 203 65 88
Circle -1 true true 70 65 162
Circle -1 true true 150 105 120
Polygon -7500403 true false 218 120 240 165 255 165 278 120
Circle -7500403 true false 214 72 67
Rectangle -1 true true 164 223 179 298
Polygon -1 true true 45 285 30 285 30 240 15 195 45 210
Circle -1 true true 3 83 150
Rectangle -1 true true 65 221 80 296
Polygon -1 true true 195 285 210 285 210 240 240 210 195 210
Polygon -7500403 true false 276 85 285 105 302 99 294 83
Polygon -7500403 true false 219 85 210 105 193 99 201 83

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

squirrel
false
0
Polygon -6459832 true false 87 267 106 290 145 292 157 288 175 292 209 292 207 281 190 276 174 277 156 271 154 261 157 245 151 230 156 221 171 209 214 165 231 171 239 171 263 154 281 137 294 136 297 126 295 119 279 117 241 145 242 128 262 132 282 124 288 108 269 88 247 73 226 72 213 76 208 88 190 112 151 107 119 117 84 139 61 175 57 210 65 231 79 253 65 243 46 187 49 157 82 109 115 93 146 83 202 49 231 13 181 12 142 6 95 30 50 39 12 96 0 162 23 250 68 275
Polygon -16777216 true false 237 85 249 84 255 92 246 95
Line -16777216 false 221 82 213 93
Line -16777216 false 253 119 266 124
Line -16777216 false 278 110 278 116
Line -16777216 false 149 229 135 211
Line -16777216 false 134 211 115 207
Line -16777216 false 117 207 106 211
Line -16777216 false 91 268 131 290
Line -16777216 false 220 82 213 79
Line -16777216 false 286 126 294 128
Line -16777216 false 193 284 206 285

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -10899396 true false 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -13840069 true false 65 36 108
Circle -10899396 true false 131 41 127
Circle -10899396 true false 45 90 120
Circle -13840069 true false 119 74 152

tree pine
false
0
Rectangle -6459832 true false 120 225 180 300
Polygon -14835848 true false 150 240 240 270 150 135 60 270
Polygon -14835848 true false 150 90 75 225 150 210 225 225
Polygon -14835848 true false 150 7 90 157 150 142 210 157 150 7

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

wolf
false
0
Polygon -16777216 true false 253 133 245 131 245 133
Polygon -1 true false 2 194 13 197 30 191 38 193 38 205 20 226 20 257 27 265 38 266 40 260 31 253 31 230 60 206 68 198 75 209 66 228 65 243 82 261 84 268 100 267 103 261 77 239 79 231 100 207 98 196 119 201 143 202 160 195 166 210 172 213 173 238 167 251 160 248 154 265 169 264 178 247 186 240 198 260 200 271 217 271 219 262 207 258 195 230 192 198 210 184 227 164 242 144 259 145 284 151 277 141 293 140 299 134 297 127 273 119 270 105
Polygon -1 true false -1 195 14 180 36 166 40 153 53 140 82 131 134 133 159 126 188 115 227 108 236 102 238 98 268 86 269 92 281 87 269 103 269 113
Polygon -16777216 true false 270 105 255 120 270 120

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 5.3.1
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
default
0.0
-0.2 0 0.0 1.0
0.0 1 1.0 0.0
0.2 0 0.0 1.0
link direction
true
0
Line -7500403 true 150 150 90 180
Line -7500403 true 150 150 210 180

@#$#@#$#@
0
@#$#@#$#@
